How do you make a Windows XP compatible VST?


#1

How do you make a Windows XP compatible VST? I tried different settings in Visual Studio, user reports still being unable to use the plugin. User report here: https://www.kvraudio.com/forum/viewtopic.php?p=6797382#p6797382


#2

In the Projucer:
Change the “Platform Toolset” property of the “Export target” to a toolset that ends with “_xp” (v120_xp, v140_xp, etc.)

In Visual Studio:
Edit the project properties, and change the “Platform Toolset” to a toolset that contains “Windows XP”.


#3

We’re still on an older version of Visual Studio but when checking about the steps needed to be XP-compatible with a more current Visual Studio I also saw this:


#4

#5

How to use xcode on it? as I’m having the windows system as well. Kindly send me any guide for the same.